(*
 * Copyright (c) 2002 Andr di Geronimo (adg@home.se)
 *)
 
unit FGobDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls,
  O_jkc;

type
  TfrmDlgGob = class(TForm)
    lstItems: TListView;
    btnOK: TButton;
    btnCancel: TButton;
    lblPath: TLabel;
    procedure lstItemsDblClick(Sender: TObject);
  private
    { Private declarations }
  public
    class function ShowDlg(jkc : TJKContainer ; const sPath : string) : string;
  end;

implementation

{$R *.dfm}

{------------------------------------------------------------------------------}
class function TfrmDlgGob.ShowDlg(jkc: TJKContainer ; const sPath : string): string;
var
  i : integer;
  itm : TListItem;
begin
  with TfrmDlgGob.Create(nil) do
  try
    Caption := 'Container - ' + ExtractFileName(jkc.FileName);
    lblPath.Caption := 'Files in ' + sPath;
    for i := 0 to jkc.stlFiles.Count - 1 do
      if Pos(sPath, jkc.stlFiles[i]) = 1 then begin
        itm := lstItems.Items.Add;
        itm.Caption := jkc.stlFiles[i];
        itm.Data := jkc.stlFiles.Objects[i];
        itm.SubItems.Add(Format('%d', [PGobItem(jkc.stlFiles.Objects[i])^.Size]));
      end;

    if (ShowModal = mrOK) and Assigned(lstItems.Selected) then
      Result := {sPath + }lstItems.Selected.Caption
    else
      Result := '';
  finally
    Free;
  end;
end;

{------------------------------------------------------------------------------}
procedure TfrmDlgGob.lstItemsDblClick(Sender: TObject);
begin
  ModalResult := mrOK;
end;

end.
